# Uses of Interface
org.eclipse.jface.viewers.IDecorationContext

Packages that use IDecorationContext
Package
Description
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.

## Uses of IDecorationContext in org.eclipse.jface.viewers

Classes in org.eclipse.jface.viewers that implement IDecorationContext
Modifier and Type
Class
Description
`class`
`DecorationContext`
A concrete implementation of the `IDecorationContext` interface, suitable for instantiating.
Fields in org.eclipse.jface.viewers declared as IDecorationContext
Modifier and Type
Field
Description
`static final IDecorationContext`
DecorationContext.`DEFAULT_CONTEXT`
Constant that defines a default decoration context that has no context ids associated with it.
Methods in org.eclipse.jface.viewers that return IDecorationContext
Modifier and Type
Method
Description
`IDecorationContext`
DecoratingLabelProvider.`getDecorationContext()`
Return the decoration context associated with this label provider.
`IDecorationContext`
DecoratingStyledCellLabelProvider.`getDecorationContext()`
Returns the decoration context associated with this label provider.
`IDecorationContext`
IDecoration.`getDecorationContext()`
Return the decoration context in which this decoration will be applied.
Methods in org.eclipse.jface.viewers with parameters of type IDecorationContext
Modifier and Type
Method
Description
`abstract Image`
LabelDecorator.`decorateImage(Image image, Object element, IDecorationContext context)`
Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element taking into account the provided context.
`abstract String`
LabelDecorator.`decorateText(String text, Object element, IDecorationContext context)`
Returns a text label that is based on the given text label, but decorated with additional information relating to the state of the provided element taking into account the provided context.
`abstract boolean`
LabelDecorator.`prepareDecoration(Object element, String originalText, IDecorationContext context)`
Prepare the element for decoration.
`void`
DecoratingLabelProvider.`setDecorationContext(IDecorationContext decorationContext)`
Set the decoration context that will be based to the decorator for this label provider if that decorator implements `LabelDecorator`.
`void`
DecoratingStyledCellLabelProvider.`setDecorationContext(IDecorationContext decorationContext)`
Set the decoration context that will be based to the decorator for this label provider if that decorator implements `LabelDecorator`.
Constructors in org.eclipse.jface.viewers with parameters of type IDecorationContext
Modifier
Constructor
Description
``
`DecoratingStyledCellLabelProvider(DelegatingStyledCellLabelProvider.IStyledLabelProvider labelProvider, ILabelDecorator decorator, IDecorationContext decorationContext)`
Creates a `DecoratingStyledCellLabelProvider` that delegates the requests for styled labels and for images to a `DelegatingStyledCellLabelProvider.IStyledLabelProvider`.